Subject: Re: DLL's
From: "Gerrit P. Haase" <[email-masked]>
To: "Barthel, Mattias" <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Jan 2005 19:17:38 +0100

Barthel, Mattias wrote:
> Hello!
> 
> I am compiling stuff on cygwin but with -mno-cygwin
> to make the produced software independent of cygwin itself.
> 
> The DLL's that you can download from the setup of cygwin 
> are all dependent of cygwin1.dll?

There are two packages containing no-cygwin DLLs, mingw-zlib and 
mingw-bzip2.

> I would like to use for example lcms that you can install
> directly over the network from cygwin's webpage. 
> On the home page of little cms there is also a windows DLL to download.
> The thing is when trying to link my program towards the
> "pure" windows DLL I get undefined references and also "nm" says
> "no symbols found" over that DLL.
> The linkeage towards the DLL's from cygwin works well
> But I am afraid that I have achieved nothing but a 
> cygwin dependent program then.
> 
> Any help greatly appreceiated.

Have you tried to create an import library?  See mingw.org FAQ and
the mailing list archives (cygwin & mingw), both should contain various
recipes how to create an import library.  This is also covered in the
cygwin user guide.

you may also try to build lcms yourself, get the cygwin package, read
/usr/share/doc/lcms.README and the add -mno-cygwin to MY_CFLAGS *and*
to the MY_LDFLAGS variables in the buildscript.

HTHs,
Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/